
from django.urls import path
from .dp_views import MyProtectedGeneratePaper, MyProtectedGenerateCheck, MyProtectedDownloadPaper
from .db_views import MyProtectedUploadDiagnose, MyProtectedDiagnoseCheck

from .views import dia_report, dia_report_update

urlpatterns = [
    path('', MyProtectedGeneratePaper.as_view(), name='api_generate_paper'),
    path('check/', MyProtectedGenerateCheck.as_view(), name='api_generate_check'),
    path('download/', MyProtectedDownloadPaper.as_view(), name='api_download_paper'),

    path('upload/', MyProtectedUploadDiagnose.as_view(), name='api_upload_file'),
    path('upload_diagnose_check/', MyProtectedDiagnoseCheck.as_view(), name='api_diagnose_file'),

    path('report/<int:report_id>/', dia_report, name='dia_report'),
    path('report_update/<int:report_id>/', dia_report_update, name='dia_report_update'),
]
